<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { getPageMetadata } from '~/common/meta';
import { BackgroundWrapper } from '~/components/common/index.vue';
import dibHero from '~/components/diversity-inclusion-belonging/dib-hero.vue';
import dibAccordions from '~/components/diversity-inclusion-belonging/dib-accordions.vue';
import dibByTheNumbers from '~/components/diversity-inclusion-belonging/dib-by-the-numbers.vue';
import dibTabs from '~/components/diversity-inclusion-belonging/dib-tabs.vue';

export default Vue.extend({
  components: {
    BackgroundWrapper,
    dibHero,
    dibAccordions,
    dibByTheNumbers,
    dibTabs,
  },
  nuxtI18n: false,
  async asyncData({ $content }) {
    try {
      const page = await $content(
        'en-us/diversity-inclusion-belonging',
      ).fetch();
      return { page };
    } catch (e) {
      throw new Error(e);
    }
  },
  head(): MetaInfo {
    const metadata = (this as any).page?.metadata;
    return getPageMetadata(metadata, this.$route.path);
  },
});
</script>

<template>
  <div>
    <BackgroundWrapper :light-mode="true">
      <SlpContainer>
        <dibHero :data="page.main_body.hero" />
      </SlpContainer>
    </BackgroundWrapper>
    <section class="vision">
      <SlpContainer>
        <dibAccordions :data="page.main_body.vision_block" />
      </SlpContainer>
    </section>
    <section>
      <SlpContainer>
        <dibByTheNumbers :data="page.main_body.by_the_numbers_block" />
      </SlpContainer>
    </section>
    <section>
      <dibTabs
        :tabs-data="page.main_body.pillar_tabs.tabs"
        :cta="page.main_body.pillar_tabs.tabs_link"
      />
    </section>
    <!-- Hiding report section while we wait for links -->

    <!-- <section class="all-reports">
      <SlpContainer>
        <SlpTypography variant="heading2-bold" tag="h2" class="slp-mb-16">
          {{ page.past_reports_block.header }}
        </SlpTypography>
        <SlpTypography variant="heading5" tag="p">
          {{ page.past_reports_block.body }}
        </SlpTypography>
         <div class="report-links">
          <a
            v-for="report in page.past_reports_block.reports"
            :key="report.label"
            class="link"
            :href="report.url"
            :data-ga-name="report.data_ga_name"
            :data-ga-location="report.data_ga_location"
          >
            <div>
              <svg
                width="25"
                height="25"
                viewBox="0 0 25 25"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  d="M18 22.0547V23.5547H4C2.34315 23.5547 1 22.2115 1 20.5547V0.554688H12L18 6.55469V7.05469"
                  stroke="#45424D"
                  stroke-miterlimit="10"
                />
                <path
                  d="M18 13.0547V17.0547"
                  stroke="#45424D"
                  stroke-miterlimit="10"
                />
                <path
                  d="M12 0.554688V6.55469H18"
                  stroke="#45424D"
                  stroke-miterlimit="10"
                />
                <path
                  d="M4.5 10.5547H11.5"
                  stroke="#45424D"
                  stroke-miterlimit="10"
                />
                <path
                  d="M4.5 13.5547H9.5"
                  stroke="#45424D"
                  stroke-miterlimit="10"
                />
                <path
                  d="M4.5 16.5547H9.5"
                  stroke="#45424D"
                  stroke-miterlimit="10"
                />
                <path
                  d="M18 21.5547C21.3137 21.5547 24 18.8684 24 15.5547C24 12.241 21.3137 9.55469 18 9.55469C14.6863 9.55469 12 12.241 12 15.5547C12 18.8684 14.6863 21.5547 18 21.5547Z"
                  stroke="#45424D"
                  stroke-miterlimit="10"
                />
                <path
                  d="M20 15.5547L18 17.5547L16 15.5547"
                  stroke="#45424D"
                  stroke-miterlimit="10"
                />
              </svg>
            </div>
            <div class="link-text">
              {{ report.label }}
            </div>
          </a>
        </div>
      </SlpContainer>
    </section> -->
  </div>
</template>

<style lang="scss" scoped>
.vision {
  background: $color-surface-800;
}
.all-reports {
  padding: 64px 0;
  background: $color-surface-800;
}

.report-links {
  display: flex;
  margin-top: 48px;
  gap: 32px;
  flex-wrap: wrap;

  .link {
    border: 1px solid $color-surface-400;
    border-radius: 8px;
    padding: 24px;
    display: flex;
    align-items: center;
    gap: 16px;

    @media (max-width: $breakpoint-md) {
      flex: 1 0 100%;
    }
  }

  .link-text {
    font-weight: $font-weight-bold;
    margin-bottom: 2px;
    font-size: 24px;
    line-height: 32px;
    color: $color-surface-600;
  }
}
</style>
